module OrbitApp
  module DSL
    def registration(name,type ={:type=> "ModuleApp"} ,&block)
      if type[:type] == "ModuleApp"
        Module::Registration.new(name,&block)
      elsif type[:type] == "PersonalPlugin"
        Plugin::Registration.new(name,&block)
      end
    
    end


  #   def backend_side_bar(name,&block)
  #     Module::BackendSideBar.new(name,&block)
  #   end

  #   def plugin_summary(name,&block)
  # #    Plugin::PluginSummary.new(name,&block)
  #   end

  #   def module_summary(name,&block)
  #     Module::Summary.new(name,&block)
  #   end

  end
end